Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.util
Class NodeBuilder

    java.lang.Object
      org.basex.query.xquery.util.NodeBuilder

    public final class NodeBuilder

extends java.lang.Object

Node Builder.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`Node[]` | `list` Node array.
`int` | `size` Number of entries.

Constructor Summary
`NodeBuilder(boolean ord)` Constructor.

Method Summary
`void` | `add(Node n)` Adds a single node.
`void` | `add(Node[] i, int s)` Adds several items.
`void` | `del(int pos)` Deletes a value at the specified position.
`Item` | `finish()` Returns a sequence or the atomic item if only one item exists.
`void` | `reset()` Resets the node builder.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    public Node[] list

  Node array.

### size

    public int size

  Number of entries.

Constructor Detail

### NodeBuilder

    public NodeBuilder(boolean ord)

  Constructor.

  Parameters:
    `ord` - if set to true, all nodes are supposed to be added in order.

Method Detail

### add

    public void add(Node n)

  Adds a single node.

  Parameters:
    `n` - node to be added

### add

    public void add(Node[] i,
                    int s)

  Adds several items.

  Parameters:
    `i` - item array
    `s` - number of items to be added

### del

    public void del(int pos)

  Deletes a value at the specified position.

  Parameters:
    `pos` - deletion position

### finish

    public Item finish()

  Returns a sequence or the atomic item if only one item exists.

  Returns:
    result

### reset

    public void reset()

  Resets the node builder.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD